camera: {focal_length_x: 386.704446, focal_length_y: 385.973724, optical_center_x: 623.233113,
  optical_center_y: 125.752428, r11: 0.00694243, r12: -0.999938, r13: -0.00866043,
  r21: -0.119195, r22: 0.0077714, r23: -0.99284, r31: 0.992847, r32: 0.00792501, r33: -0.119133,
  t1: 5.05698, t2: 266.065, t3: 26.4768}
default:
  camera: {focal_length_x: 386.704446, focal_length_y: 385.973724, optical_center_x: 623.233113,
    optical_center_y: 125.752428, r11: 0.00694243, r12: -0.999938, r13: -0.00866043,
    r21: -0.119195, r22: 0.0077714, r23: -0.99284, r31: 0.992847, r32: 0.00792501,
    r33: -0.119133, t1: 5.05698, t2: 266.065, t3: 26.4768}
perception:
  default:
    ego_vehicle:
      mask_mode: 0
      pixelwise_mask: {modified_mask_path: ~/pixelwise_mask_files/car_mask.pbm, standard_mask_directory: ~/pixelwise_mask_files/,
        standard_mask_name: car_mask.pbm}
      trapezoid_mask: {bottom_left_loc_x: 186, bottom_left_loc_y: 650, bottom_right_loc_x: 1064,
        bottom_right_loc_y: 650, top_left_loc_x: 428, top_left_loc_y: 300, top_right_loc_x: 851,
        top_right_loc_y: 300}
  ego_vehicle:
    mask_mode: 0
    pixelwise_mask: {modified_mask_path: ~/pixelwise_mask_files/car_mask.pbm, standard_mask_directory: ~/pixelwise_mask_files/,
      standard_mask_name: car_mask.pbm}
    trapezoid_mask: {bottom_left_loc_x: 186, bottom_left_loc_y: 650, bottom_right_loc_x: 1064,
      bottom_right_loc_y: 650, top_left_loc_x: 428, top_left_loc_y: 300, top_right_loc_x: 851,
      top_right_loc_y: 300}
  lane_detection:
    debug_mode: false
    default:
      feature_extraction:
        general: {histogram_bin_size: 0.005, scan_line_half_size: 0.1, scan_line_step_size: 0.01,
          sigma_factor: 3}
        segment_boundaries: {far: 1.5, left: 0.4, middle: 0, near: 0.5, outer_left: 0.8,
          right: -0.4}
      input_queue_size: 1
      line_tracking:
        consistency_check_sampling_points: [1.0, 2.0]
        degree_adaption: {enable: true, max_a: 0.1, max_error: 0.015, refit_after_switch: true}
        double_middle_lane: {cluster_min_size: 3, cluster_threshold_relative: 0.04,
          discretization_step: 0.02, left_right_threshold: 0.04, outline_localization_threshold: 0.04}
        eps: 0.01
        fitting: {fitting_error_threshold: 1.5, image_points_threshold: 10}
        lane: {sep: 0.42}
        middle_line_point_filtering:
          count_thresh: 15
          count_thresh_ratio: 0.35
          dist_thresh: 0.3
          near_field_dist: 0.0
          prefiltering: {count_thresh: 4, dist_thresh: 0.05}
        midline_recognition: {clustering_distance_thresh: 0.1, enable: true, intra_cluster_distance_thresh: 0.28,
          min_number_of_clusters: 2, min_number_of_points_in_cluster: 10, region_of_interest: 1.0}
        nav_points_threshold: 10
        outer_lines_point_filtering:
          count_thresh: 15
          count_thresh_ratio: 0.35
          dist_thresh: 0.2
          near_field_dist: 0.0
          prefiltering: {count_thresh: 4, dist_thresh: 0.05}
        points_filtering_enabled: true
        polynomial: {degree: 2, max_x: 2.0, min_x: 0, step_x: 0.01, switchdown: 1}
        start_box_handling: {max_A: 0.1, max_B: 0.1, max_error: 0.05, starts_with: false}
        use_alway_init: false
        use_midline_recognition: true
        vehicle_point_equals_eps: 0.001
      output_queue_size: 1
    feature_extraction:
      general: {histogram_bin_size: 0.005, scan_line_half_size: 0.1, scan_line_step_size: 0.01,
        sigma_factor: 3.0}
      segment_boundaries: {far: 1.5, left: 0.4, middle: 0.0, near: 0.5, outer_left: 0.8,
        right: -0.4}
    input_queue_size: 1
    line_tracking:
      consistency_check_sampling_points: [1.0, 2.0]
      degree_adaption: {enable: true, max_a: 0.1, max_error: 0.015, refit_after_switch: true}
      double_middle_lane: {cluster_min_size: 3, cluster_threshold_relative: 0.04,
        discretization_step: 0.02, left_right_threshold: 0.04, outline_localization_threshold: 0.04}
      eps: 0.01
      fitting: {fitting_error_threshold: 1.5, image_points_threshold: 10}
      lane: {sep: 0.42}
      middle_line_point_filtering:
        count_thresh: 15
        count_thresh_ratio: 0.35
        dist_thresh: 0.3
        near_field_dist: 0.0
        prefiltering: {count_thresh: 4, dist_thresh: 0.05}
      midline_recognition: {clustering_distance_thresh: 0.1, enable: true, intra_cluster_distance_thresh: 0.28,
        min_number_of_clusters: 2, min_number_of_points_in_cluster: 10, region_of_interest: 1.0}
      nav_points_threshold: 10
      outer_lines_point_filtering:
        count_thresh: 15
        count_thresh_ratio: 0.35
        dist_thresh: 0.2
        near_field_dist: 0.0
        prefiltering: {count_thresh: 4, dist_thresh: 0.05}
      points_filtering_enabled: true
      polynomial: {degree: 2, max_x: 2.0, min_x: 0.0, step_x: 0.01, switchdown: 1}
      start_box_handling: {max_A: 0.1, max_B: 0.1, max_error: 0.05, starts_with: false}
      use_alway_init: false
      vehicle_point_equals_eps: 0.001
    output_queue_size: 1
    start_activated: true
  preprocessing:
    binarisation: {blocksize: 45, c: 25.0, mode: 2, sigma: 0.4}
    default:
      binarisation: {blocksize: 45, c: 25, mode: 2, sigma: 0.4}
      input_queue_size: 1
      median_blur: {median_blur_size: 3}
      output_queue_size: 1
      roi: {end_loc_x: 1280, end_loc_y: 550, start_loc_x: 0, start_loc_y: 70}
    input_queue_size: 1
    median_blur: {median_blur_size: 3}
    output_queue_size: 1
    roi: {end_loc_x: 1280, end_loc_y: 550, start_loc_x: 0, start_loc_y: 70}
    start_activated: true
  road_watcher:
    area_of_interest_step_size: 0.05
    crosswalk_classifier: {black_pixel: 0, bottom_line_row: 10, canny_mask_size: 3,
      canny_thresh_high: 100, canny_thresh_low: 75, destroy_counter_value: 60, guessed_lane_width: 0.5,
      max_separation_dist: 8.0, max_variance: 35.0, min_score_pedestrians: 0.2, min_size_point_vectors: 11,
      offset_right_left_bound: 8, step_loc_point: 0.01, top_line_row: 15, white_pixel: 255}
    dbscan: {core_epsilon: 0.27, min_points_to_be_core: 5}
    debug_mode: true
    default:
      area_of_interest_step_size: 0.05
      contour_classifier: {distance_factor: 1.0, max_distance: 1.0, shape_factor: 10.0,
        teach_in: false}
      crosswalk_classifier: {black_pixel: 0, bottom_line_row: 10, canny_mask_size: 3,
        canny_thresh_high: 100, canny_thresh_low: 75, destroy_counter_value: 60, guessed_lane_width: 0.5,
        max_separation_dist: 8.0, max_variance: 35, min_score_pedestrians: 0.2, min_size_point_vectors: 11,
        offset_right_left_bound: 8, step_loc_point: 0.01, top_line_row: 15, white_pixel: 255}
      dbscan: {core_epsilon: 0.27, min_points_to_be_core: 5}
      degree_of_polynomial: 2
      dynamically_restrict_search_pattern: true
      epsilon_newton_method: 0.01
      expand_x: 18
      expand_y: 18
      field_of_vision: {bottom: 550, left: 0, right: 1289, top: 50}
      gradient_detection_thld: 6
      histogram_classifier:
        image: {bottom_offset: 0, lateral_offset: 2, top_offset: 2}
        line_touching_obstacle_localizer:
          clustering: {cluster_size_threshold: 4, distance: 3.5}
          line: {max_diff_from_perpend: 0.3, max_variance: 1, max_verticality_eps: 0.22,
            min_single_line_point_number: 6}
          line_expansion: {max_distance_along_line: 6.0, max_distance_to_line: 4.0}
          max_obstacle_distance: 2.0
          scan_lines: {reference_function_length: 11, step_size: 1, threshold: 7.5}
          top_of_boxes: {defect_ratio: 0.33, distance_to_end_point: 8.0, distance_to_line: 4.0,
            min_blob_area: 50}
        min_cluster_size: 300
        min_clusters: 2
      junction_classifier: {default_is_halt_line: 0.0, default_is_start_line: 0.95,
        default_is_stop_line: 0.95, halt_line_angle_fall_dist: 0.1, halt_line_angle_max: 0.3,
        halt_line_angle_min: -0.3, halt_line_mean0_fall_dist: 10, halt_line_mean0_max: 120,
        halt_line_mean0_min: 60, halt_line_mean1_fall_dist: 2.5, halt_line_mean1_max: 8.0,
        halt_line_mean1_min: 4.5, min_point_dist: 4, rect_add_space_x: 5, rect_add_space_y: 2,
        start_line_angle_fall_dist: 0.1, start_line_angle_max: 0.3, start_line_angle_min: -0.3,
        start_line_mean0_fall_dist: 50, start_line_mean0_max: 500, start_line_mean0_min: 350,
        start_line_mean1_fall_dist: 2.0, start_line_mean1_max: 7.4, start_line_mean1_min: 4.5,
        step_dist: 4, step_function_lenght: 4, step_function_offset: 3, step_threshold: 20,
        stop_line_angle_fall_dist: 0.1, stop_line_angle_max: 0.3, stop_line_angle_min: -0.3,
        stop_line_mean0_fall_dist: 10, stop_line_mean0_max: 120, stop_line_mean0_min: 60,
        stop_line_mean1_fall_dist: 2.5, stop_line_mean1_max: 8.0, stop_line_mean1_min: 4.5}
      lane_tolerance: 0.1
      lane_width: 0.4
      max_iterations_newton_method: 20
      max_sampling_distance: 2.0
      min_sampling_distance: 1.0
      offset_after_center: 1.0
      offset_before_center: 0.2
      offset_left_of_center: 0.6
      offset_right_of_center: 0.6
      pedestrian_tracker:
        delta_mser: 1
        divisor_max_size: 1.5
        divisor_min_size: 6.0
        guessed_lane_width: 0.5
        lateral_offset: 0.04
        line_iterator_connectivity: 8
        lower_hist_thresh: 40
        mean_offset_binarization: 8
        mser_roi_frame: 20
        pedestrian_area_length: 0.5
        pedestrian_area_width: 0.3
        pedestrian_model: {activation_time_min: 0.06, max_reset_time: 0.6, obs_prob_max: 0.95,
          obs_prob_min: 0.05, state_trans_high: 0.95, state_trans_low: 0.05, state_trans_med: 0.475,
          state_trans_wait: 0.5}
        pedestrian_threshold: 0.007
        upper_hist_thresh: 100
      pixel_width: 0.01
      reduced_lane_width: 0.25
      road_closure_classifier: {black_pixel: 0, bv_proj_point_close_y_low: 12, bv_proj_point_far_x_low: 18,
        bv_proj_point_far_y_low: 6, canny_area: 8, factor_scanlines_horizontal: 10,
        feature_points_thresh: 20.0, feature_points_thresh_bounding_box: 8.0, guessed_farest_v_factor: 0.2,
        guessed_lane_width: 0.5, min_size_dop: 4, nr_scanlines: 4, offset_loc_scanlines: 10,
        offset_middle_lane: 5, points_ref_func: 9, points_ref_func_bounding_box: 3,
        points_ref_func_classification_points: 7, start_y_high: 17, start_y_low: 15,
        white_pixel: 255}
      same_road_object_thld: 0.5
      sampling_offset: 10
      sampling_x_end: 3.0
      sampling_x_start: 0.5
      sampling_x_step: 0.04
      start_line_classifier: {harris_block_size: 9, harris_corner_threshold: 150,
        harris_k: 0, line_shift: 0.1, max_angle_delta: 0.2, mean_step_size: 30, min_nr_points: 7,
        min_score_ratio: 2.0, minimal_harris_max: 0.0005, sobel_window: 3, step_det_ref_func_length: 3,
        step_det_thld: 10}
      step_reference_function_length: 9
      threshold1: 500
      threshold2: 900
      trim_factor: 0.2
      unidentified_score_threshold: 0.2
    degree_of_polynomial: 2
    dynamically_restrict_search_pattern: true
    epsilon_newton_method: 0.01
    expand_x: 18
    expand_y: 18
    field_of_vision: {bottom: 550, left: 0, right: 1289, top: 50}
    gradient_detection_thld: 6.0
    histogram_classifier:
      image: {bottom_offset: 0, lateral_offset: 2, top_offset: 2}
      line_touching_obstacle_localizer:
        clustering: {cluster_size_threshold: 4, distance: 3.5}
        line: {max_diff_from_perpend: 0.3, max_variance: 1.0, max_verticality_eps: 0.22,
          min_single_line_point_number: 6.0}
        line_expansion: {max_distance_along_line: 6.0, max_distance_to_line: 4.0}
        max_obstacle_distance: 2.0
        scan_lines: {reference_function_length: 11, step_size: 1, threshold: 7.5}
        top_of_boxes: {defect_ratio: 0.33, distance_to_end_point: 8.0, distance_to_line: 4.0,
          min_blob_area: 50}
      min_cluster_size: 300
      min_clusters: 2
    junction_classifier: {default_is_halt_line: 0.0, default_is_start_line: 0.95,
      default_is_stop_line: 0.95, halt_line_angle_fall_dist: 0.1, halt_line_angle_max: 0.3,
      halt_line_angle_min: -0.3, halt_line_mean0_fall_dist: 10.0, halt_line_mean0_max: 120.0,
      halt_line_mean0_min: 60.0, halt_line_mean1_fall_dist: 2.5, halt_line_mean1_max: 8.0,
      halt_line_mean1_min: 4.5, min_point_dist: 4, rect_add_space_x: 5, rect_add_space_y: 2,
      start_line_angle_fall_dist: 0.1, start_line_angle_max: 0.3, start_line_angle_min: -0.3,
      start_line_mean0_fall_dist: 50.0, start_line_mean0_max: 500.0, start_line_mean0_min: 350.0,
      start_line_mean1_fall_dist: 2.0, start_line_mean1_max: 7.4, start_line_mean1_min: 4.5,
      step_dist: 4, step_function_lenght: 4, step_function_offset: 3, step_threshold: 20,
      stop_line_angle_fall_dist: 0.1, stop_line_angle_max: 0.3, stop_line_angle_min: -0.3,
      stop_line_mean0_fall_dist: 10.0, stop_line_mean0_max: 120.0, stop_line_mean0_min: 60.0,
      stop_line_mean1_fall_dist: 2.5, stop_line_mean1_max: 8.0, stop_line_mean1_min: 4.5}
    lane_tolerance: 0.1
    lane_width: 0.4
    max_iterations_newton_method: 20
    max_sampling_distance: 2.0
    min_sampling_distance: 1.0
    offset_after_center: 1.0
    offset_before_center: 0.2
    offset_left_of_center: 0.6
    offset_right_of_center: 0.6
    pedestrian_tracker:
      delta_mser: 1
      divisor_max_size: 1.5
      divisor_min_size: 6.0
      guessed_lane_width: 0.5
      lateral_offset: 0.04
      line_iterator_connectivity: 8
      lower_hist_thresh: 40
      mean_offset_binarization: 8
      mser_roi_frame: 20
      pedestrian_area_length: 0.5
      pedestrian_area_width: 0.3
      pedestrian_model: {activation_time_min: 0.06, max_reset_time: 0.6, obs_prob_max: 0.95,
        obs_prob_min: 0.05, state_trans_high: 0.95, state_trans_low: 0.05, state_trans_med: 0.475,
        state_trans_wait: 0.5}
      pedestrian_threshold: 0.007
      upper_hist_thresh: 100
    pixel_width: 0.01
    reduced_lane_width: 0.25
    road_closure_classifier: {black_pixel: 0, bv_proj_point_close_y_low: 12, bv_proj_point_far_x_low: 18,
      bv_proj_point_far_y_low: 6, canny_area: 8, factor_scanlines_horizontal: 10,
      feature_points_thresh: 20.0, feature_points_thresh_bounding_box: 8.0, guessed_farest_v_factor: 0.2,
      guessed_lane_width: 0.5, min_size_dop: 4, nr_scanlines: 4, offset_loc_scanlines: 10,
      offset_middle_lane: 5, points_ref_func: 9, points_ref_func_bounding_box: 3,
      points_ref_func_classification_points: 7, start_y_high: 17, start_y_low: 15,
      white_pixel: 255}
    same_road_object_thld: 0.5
    sampling_offset: 10
    sampling_x_end: 3.0
    sampling_x_start: 0.5
    sampling_x_step: 0.04
    start_activated: true
    start_line_classifier: {harris_block_size: 9, harris_corner_threshold: 150, harris_k: 0,
      line_shift: 0.1, max_angle_delta: 0.2, mean_step_size: 30.0, min_nr_points: 7,
      min_score_ratio: 2.0, minimal_harris_max: 0.0005, sobel_window: 3, step_det_ref_func_length: 3,
      step_det_thld: 10.0}
    step_reference_function_length: 9.0
    threshold1: 500.0
    threshold2: 900.0
    trim_factor: 0.2
    unidentified_score_threshold: 0.2
rosdistro: 'kinetic

  '
roslaunch:
  uris: {host_andi_lenovo_g50_70__38434: 'http://andi-Lenovo-G50-70:38434/', host_andi_lenovo_g50_70__46299: 'http://andi-Lenovo-G50-70:46299/'}
rosversion: '1.12.7

  '
run_id: 68029066-d797-11e7-9122-d07e35d1e683
